import request from '@/utils/request'

// 查询检测仪器校准列表
export function listCalibration(query) {
  return request({
    url: '/check/calibration/list',
    method: 'get',
    params: query
  })
}

// 查询检测仪器校准详细
export function getCalibration(id) {
  return request({
    url: '/check/calibration/' + id,
    method: 'get'
  })
}

// 新增检测仪器校准
export function addCalibration(data) {
  return request({
    url: '/check/calibration',
    method: 'post',
    data: data
  })
}

// 修改检测仪器校准
export function updateCalibration(data) {
  return request({
    url: '/check/calibration',
    method: 'put',
    data: data
  })
}

// 删除检测仪器校准
export function delCalibration(id) {
  return request({
    url: '/check/calibration/' + id,
    method: 'delete'
  })
}
